Midsurface
 
Generate a surface object that is the midsurface of a solid object in 3D.
Syntax
model.component(<ctag>).geom(<tag>).feature().
    create(<ftag>,"Midsurface");
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    selection(property);
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    set(property,<value>);
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    getType(property);
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    setAttribute(attribute,<value>);
model.component(<ctag>).geom(<tag>).feature(<ftag>).
    getAttribute(attribute);
Description
model.component(<ctag>).geom(<tag>).feature().
      create(<ftag>,"Midsurface")
creates a Midsurface feature.
Use
model.component(<ctag>).geom(<tag>).feature(<ftag>).
      selection("input")
to select the objects for the midsurface operation. The default selection is empty.
on | off
on | off
on | off
all | obj | dom | bnd | edg | pnt | off
Show selections of resulting objects in physics, materials, and so on, or in part instances. obj is not available in a component’s geometry. dom, bnd, and edg are not available in all features.
For information about the selresult, selresultshow and contributeto properties, search the online help in COMSOL Multiphysics to locate and search all the documentation.
The following attributes are available:
Table 3-57: Valid attributes
on | off | inherit
Designate the resulting objects as construction geometry. Use inherit to set the construction geometry attribute only if all input objects are construction geometry.
Example
Generate the midsurface of a thin block:
Model model = ModelUtil.create("Model1");
model.component().create("comp1");
model.component("comp1").geom().create("geom1",3);
model.component("comp1").geom("geom1").geomRep("cadps");
model.component("comp1").geom("geom1").create("blk1", "Block");
model.component("comp1").geom("geom1").feature("blk1").
      set("size", new String[]{"1", "1", "0.1"});
model.component("comp1").geom("geom1").
      create("mid1", "Midsurface");
model.component("comp1").geom("geom1").feature("mid1").
      selection("input").set(new String[]{"blk1"});
model.component("comp1").geom("geom1").run();
See Also
Thicken